Subject: RE: [Capwap] Comments on today's meeting

From: "Pat Calhoun (pacalhou)" <[email-masked]>
Date: Thu, 4 Aug 2005 08:40:13 -0700

Dan,

Please find the text of section (b. Security requirements for software
defined radios) under page 19 of the FCC's Cognitive Radio R&O, which
can be found at
http://hraunfoss.fcc.gov/edocs_public/attachmatch/FCC-05-57A1.pdf

Basically what it says is that the manufacturer has to provide measures
that prevent "wrong" downloads/updates and it says that the FCC must get
insight into the SDR code being distributed/downloaded.

Pat Calhoun
CTO, Wireless Networking Business Unit
Cisco Systems

> -----Original Message-----
> From: Dan Harkins [mailto:[email-masked]] 
> Sent: Thursday, August 04, 2005 1:00 AM
> To: Pat Calhoun (pacalhou)
> Cc: [email-masked]
> Subject: Re: [Capwap] Comments on today's meeting 
> 
>   Pat,
> 
>   I'm not making accusations on you or your company, merely 
> pointing out that "Cisco and Airespace" are not two different 
> things. And also that I was pretty badly misquoted in your 
> post as well.
> 
>   Regarding what you feel the real issue here is, image 
> download is very useful. If it is possible to use it in a way 
> that could get someone in legal trouble in some jurisdiction 
> on this planet I don't think is something we should care 
> about. (Note that I do not agree that it is illegal only 
> admitting that certain people-- like you-- feel that way).
> LWAPP allows for the country code to be changed. Therefore I 
> could use LWAPP to do something illegal. Does that mean that 
> setting of the country code in LWAPP should be removed? No, I 
> don't think so. Same for image download. It's very useful and 
> we should provide that functionality.
> We are providing tools, like a screwdriver. If someone uses a 
> valid tool for an illegal purpose, like stabbing someone in 
> the neck, that isn't the fault of the tool designer.
> 
>   Dan.
> 
> On Wed, 03 Aug 2005 08:11:58 PDT you wrote
> > Dan,
> > 
> > Putting aside all of the various accusations, both personal 
> and to my 
> > company, let me at least address the real issues here.
> > 
> > In order to support 802.11k, the AC sends the relevant ACTION frame 
> > through the WTP to the STA. The STA will respond, which 
> will make it 
> > back to the AC. There is no need to involve the WTP in this 
> manner. If 
> > data needs to be added to a beacon, then you are correct 
> that a change 
> > is required. We could simply address this by using a 
> generic "Beacon 
> > Data" which is sent from the AC to the WTP.
> > 
> > I believe that all (or nearly all) protocols support a download 
> > mechanism. The primary differences are how we view this download 
> > mechanism as providing value. While I view this as a method for AP 
> > firmware to be upgraded by the manufacturer, you see this 
> as a method 
> > to allow for proprietary protocols to be pushed on the WTP. 
> The issues 
> > raised here are real and cannot be ignored. If a customer 
> (or vendor) 
> > wants to hijack APs with their own firmware and deal with the legal 
> > consequences, then so be it, but I don't believe that the 
> IETF needs 
> > to get involved or condone this behavior.
> > 
> > Pat Calhoun
> > CTO, Wireless Networking Business Unit Cisco Systems
> > 
> 
_______________________________________________
Capwap mailing list
[email-masked]
http://mail.frascone.com/mailman/listinfo/capwap

---

From: Dan Harkins <[email-masked]>
Date: Wed, 17 Aug 2005 16:53:00 -0700

Pat,

  That's not how I read it. I read it to say that security features
must be incorporated to prevent unauthorized modifications to the
software. The software defined radio is in the downloaded, bootable image.
These are requirements placed on the software. 

  It does state that, "equipment that is designed or expected to be
MODIFIED BY A PARTY OTHER THAN THE MANUFACTURER must be certified as a
software defined radio...." (emphasis mine). So the expectation of the FCC
is that equipment will capable of being modified by someone who is not the
manufacturer. Being defined as a software defined radio, that equipment
must prevent impremissible modifications to the radio software and one
of the ways to do so is "the use of a private network that allows only
authenticated users to download software." SLAPP addresses this by 
performing the authentication step prior to image download. So only
authenticated users, aka ACs, can download images onto the WTP. The
security features to prevent unauthorized modification of the software
are a requirement on the software that was downloaded onto the WTP.

  Furthermore it also appears that a software defined radio must ensure
that the radio cannot be used to transmit outside authorized frequency
bands. So it looks like the ability to change the country code of a
WTP using LWAPP violates this rule.

  Dan.

On Thu, 04 Aug 2005 08:40:13 PDT you wrote